trans_list_s Struct Reference

Adjacency list (opaque) for a state in an FSG. More...

## Data Fields

hash_table_t * | null_trans
hash_table_t * | trans

## Detailed Description

Adjacency list (opaque) for a state in an FSG.

Actually we use hash tables so that random access is a bit faster. Plus it allows us to make the lookup code a bit less ugly.

Definition at line 63 of file fsg_model.c.

The documentation for this struct was generated from the following file:

- src/libsphinxbase/lm/fsg_model.c